1

I had a working version of git + gitk installed via homebrew on MacOS High Sierra.

After I upgraded to Mojave, I can no longer start gitk. It fails with the following error, repeated 105 times:

Error in startup script: 2018-11-16 09:30:53.167 osascript[48731:3339263] 
    Error loading /Library/QuickTime/EyeTV MPEG Support.component/Contents/MacOS/EyeTV MPEG Support:  
    dlopen(/Library/QuickTime/EyeTV MPEG Support.component/Contents/MacOS/EyeTV MPEG Support, 0x0106): 
    code signature in (/Library/QuickTime/EyeTV MPEG Support.component/Contents/MacOS/EyeTV MPEG Support) 
    not valid for use in process: mapped file has no cdhash, completely unsigned? 
    Code has to be at least ad-hoc signed.

Any idea why I get this error or how I can solve it?

Thank you!

2

If you move "EyeTV MPEG Support.component" out of the /Library/QuickTime directory (to say your desktop) your Terminal should stop complaining about that component. I had same issue.

0

I had to update quite a few brew installs after updating peoples Mac books here in the office to Mojave, in most cases a brew remove and install was the fastest option. It will uninstall the (latest) high Sierra version and reinstall the latest Mojave bottle. As we use the Xcode command line tools for git, I have no experience with this specific one, but I have had it with several others.

  • Thank you! I used the brew upgrade git which installed the Mojave bottle (I think) and it still didn't work :( – Ciprian Tomoiagă Nov 19 '18 at 10:31
  • upgrade doesn't work the same, even reinstall is not always working the same. Hence my suggestion of remove and install – Gert-Jan Roeleveld Nov 20 '18 at 11:04

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .